<?
include '../config.php';
include '../func.php';

head();
aut();
ban();
////////////////////////////////////////
mysql_query("UPDATE `profile` SET `online` = 'fo' WHERE `id` = '".$id_session."'");

if ( isset($_GET['emptyf']) ) echo link1 . 'Вы не выбрали файл' . div;
if ( isset($_GET['addcyes']) ) echo link1 . 'Каталог успешно создан' . div;
if ( isset($_GET['razmer']) ) echo link1 . 'Превышен размер файла' . div;
if ( isset($_GET['type']) ) echo link1 . 'Не допустимое разрешение файла' . div;
if ( isset($_GET['emptyn']) ) echo link1 . 'Не введено название файла' . div;
if ( isset($_GET['emptyi']) ) echo link1 . 'Не введено описание файла' . div;
if ( isset($_GET['info']) ) echo link1 . 'Превышено колличество символов в описании' . div;
if ( isset($_GET['name']) ) echo link1 . 'Превышено колличество символов в названии' . div;
if ( isset($_GET['nofile']) ) echo link1 . 'Файл не был загружен' . div;

$id = num($_GET['cat']);
$cat = mysql_fetch_assoc(mysql_query("SELECT * FROM `fo_cat` WHERE `id` = '".$id."'"));

echo head . "<b>Обменник файлов / <b>".$cat['name']."</b></b>" . div . link1;   
if ( $level_session >= 3) echo ' <a href="admin.php?mod=add_pcat&cat='.$id.'">Создать каталог </a>|';
echo '<a href="upload.php?mod=cat&cat='.$id.'"> Загрузить</a>' . div;
//echo katalog;

$result = mysql_query("SELECT * FROM fo_pcat WHERE `cat` = '".$id."'");
while($pcat = mysql_fetch_assoc($result)){
$all = mysql_result(mysql_query("SELECT count(*) FROM `fo_fil` WHERE `pcat` = '".$pcat['id']."'"), 0);
echo link2 . "<img src=\"../images/dir.png\" alt=\".\" /> <a href=\"pcat.php?pcat=".$pcat['id']."\">".$pcat['name']."</a> [".$all."]</div>";

}




//echo div;
/////////////////////////////////////////

navig();
foot();
?>